<div class="container">
    <div id="contenido" class="container text-center">
        <h3 class="my-3 text-center">Autorización de consulta</h3>
        <!--Calle numero colonia zip city edo. -->

        <div class="row">
            <div class="col-md-12" style="text-align: justify;">
                <p class="my-3">
                    Autorizo expresamente a <strong>Mercadotecnia Ideas y Tecnología S.A. de C.V.</strong> para que lleve a cabo investigaciones
                    sobre mi comportamiento crediticio en las Sociedades de Información Crediticia (SIC) que estime conveniente.
                    Conozco la naturaleza y alcance de la información que se solicitará, del uso que se le dará y que se podrán realizar
                    consultas periódicas de mi historial crediticio. Consiento que esta autorización tenga una vigencia de 3 años
                    contados a partir de hoy, y en su caso mientras mantengamos relación jurídica. Acepto que este documento quede bajo
                    propiedad de <strong>Mercadotecnia Ideas y Tecnología S.A. de C.V.</strong> para efectos de control y cumplimiento
                    del artículo 28 de la LRSIC.
                </p>
            </div>
        </div>

        <div class="row" style="text-align:left">
            <div class="col-md-9">
                <label class="text-input-acepto">Autorizo </label>
            </div>
            <div class="col-md-3">
                <label class="switch">
                    <input type="checkbox" id="changeStatus" (change)="ckeckChangeStatus()">
                    <span class="slider round"></span>
                </label>
            </div>
        </div>
        

        <div class="row text-input">
            <div class="col-md-12 form-group">
                <label class="text-input-acepto">NIP </label>                
                <input autocomplete="off" value="{{nip}}" placeholder="Ingresar el mismo NIP" class="form-control" min="1" id="nipInput" 
                oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1').slice(0,4);">
            </div>
        </div>
        <div>
        
            <small class="form-text" id="errorGeneral" *ngIf="errorGeneral" style="color:red">El NIP ingresado es invalido</small> 

        <p class="my-3">
            <button type="button"  class="btn btn-lg btn-block btn-danger mr-3 btnUrl btnPrimary" (click)="aceptar()" id="validarBoton"
            [style.background-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.color]="getColorLabel()" [disabled]="btnContinuar">Continuar</button>
        </p>                       
    </div>
</div>